@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap');

*{
    font-family: "Lato", sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6{
    color:#242424;
    text-align: center;
    line-height: 1.25;
}

h1{ 
    font-size: 36px;
    margin-bottom: 16px;
}
html {
    scroll-behavior: smooth;
}
p{ 
    line-height: 1.5;
    font-size: 16px;
}

li{list-style-type: none;}

.flex {
    display: flex;
}
.flex-1{
    flex: 1;
}
.container{ 
    padding: 50px 0; }
.row {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 0 12px;
}

.text--purple{ 
    color: #6030b1
}

section:nth-child(even){
    background-color: #f8f8f8;
}

.section__title{
    margin-bottom: 20px;

}
a{
    text-decoration: none;
    position: relative;
    transistion: opacity 300ms ease;
    }

 i:hover{
    opacity: 0.7;
 }
    
.link__hover-effect:after{
    content: "";
    position: absolute;
    height: 3px;
    width: 0;
    bottom: -3px;
    left: 0; 
    transition:all 300ms
}

.link__hover-effect--white:after{
    background-color: #fff;
}

.link__hover-effect--black:after{
    background-color: black;
}

.link__hover-effect:hover:after{
    width: 100%;
    right:0;
    transform: scaleX(0);
    transition: transform 300ms ease;
    transform-origin: right;
}
/*Navigation Bar*/

nav{
    height: 100px;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 12px;

}
.nav__link--list{
    display: flex;

}

.nav__link--anchor{
    margin: 0 12px;
    color:#242424;
    text-decoration: none;
    font-weight: 700;
}

.nav__link--anchor-primary{
    background-color: #6030b1;
    color: white;
    padding: 8px 20px;
    border-radius: 50px;
    cursor: pointer;
    transition: all 300ms ease-out;
}

.nav__link--anchor-primary:hover{
    background-color: #5d3eff;
}

.Personal__logo{
    font-size: 24px;
    color: #6030b1;
    margin: 0 12px;
    font-weight: bold;

}

/* About me */

#about-me{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.about-me__info{
    display: flex;
    flex-direction: column;
}
.about-me__info--container{
    display: flex;
    flex-direction:column;
    justify-content:center;
    align-items: center;
    max-width: 600px;
    margin: 0 auto;
    text-align: center;
   
}

.about-me__picture--mask{
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.16);
    margin-bottom: 28px;
    animation: animate-profile-picture 800ms 200ms backwards;
}

@keyframes animate-profile-picture {
    0%{
        transform: scale(0);
    }
    80% { transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

.about-me__picture{
    width: 100%;
    height: 100%;

}

.about-me__info--title{
    margin-bottom: 16px;
    animation: fade-up 650ms 400ms backwards;
}

.about-me__info--para{
    font-size: 20px;
    margin-bottom: 28px;
    animation: fade-up 650ms 600ms backwards;
}


.about-me__links{
    font-size: 20px;
    color: #242424;
    text-decoration: none;
    padding: 0 16px;
    animation: fade-up 650ms 800ms backwards;
}
@keyframes fade-up{
    0% {  
        opacity: 0;
        transform: translateY(40px);
    }

    100% {
        opacity: 1; 
        transform: translateY(0);
    }
}

.about-me__img--container{
    flex:1;
    display: flex;
    align-items: center;
}
.about-me__img{
  width: 100%; 
  animation: fade-in 1200ms 800ms backwards;  
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
    
}

.wave{
    display: inline-block;
    animation: animate-wave 500ms infinite ease-in-out; 
}

@keyframes animate-wave{
    0% {
        transform: rotate(0);
    }

    50% {
        transform: rotate(30deg);
    }
    100% {
        transform: rotate(0);
    }
}

/* Tech - Stack */
.language{
    width: 25%;
    display: flex;
    justify-content: center;
    position: relative;
}

.language__img {
    width: 100%;
    max-width: 100px;
    transition: all 300ms;  
}

.language:hover .language__img{
    filter: brightness(80%);
    opacity: 0.86;
    transform: scale(0.9);

}
.language__img--wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25%;
    padding: 25px 8px;
}
.language__list {
    display: flex;
    justify-content: center;
    width: 100%;
    flex-wrap: wrap;
    }

.language__name {
    position: absolute;
    bottom: 0;
    transform: scale(0);
    transition: all 300ms;
    font-size: 20px;
    opacity: 0;
}

.language:hover .language__name{
    transform: scale(1);
    opacity: 1;
}

/* Project */
.project {
    margin-bottom: 135px;
}

.project:last-child{
    margin-bottom: 40px;
}



.project__img{
   width: 100%;
   transition: all 500ms ease;
}

.project__wrapper{
   display: flex;
   box-shadow: 0 20px 80px rgba(0, 0, 0, 0.45);
   border-radius: 20px;
   overflow: hidden;
   position: relative;
 
}
.project__wrapper:before{
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   height: 100%;
   width: 100%;
   background-color: #1c1d25;
   opacity: 0;
   transition: opacity 450ms ease;
    z-index: 2;
}

.project:hover .project__wrapper:before{
    opacity: 0.7;
}

.project:hover .project__img{
    transform: scale (1.07);
    filter: blur(5px);
}

.project:hover .project__description{
    opacity: 1;
    transform:translateY(-50%);
}

.project__list{ 
    padding-top: 40px;
}

.project__description{
    position: absolute;
    top: 50%;
    transform:translateY(100%);
    max-width: 550px;
    left: 90px;
    z-index: 3;
    opacity: 0;
    transition: transform 450ms, opacity 300ms;}

.project__description--title{
    font-size:40px;
   }
 
.project__description--para{
    margin: 16px 0;
    font-size: 18px;
}
.project__description--link{
    font-size: 20px;
    margin: 16px;
    text-decoration: none; 
}
    

.project__description--title, .project__description--sub-title,
.project__description--para,
.project__description--link
{
    text-align: left;
    color: #fff;

}

    
/* Footer */

footer{
    background-color: #242424;
    color: white;
    text-align: center;
    padding: 16px 0;
   
}

.footer__social--list{
    width: 100%;
    max-width:500px;
    display: flex;
    justify-content: space-around;
   margin-bottom: 28px; 
}

.footer__row{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 8% 0;
}

.footer__logo--img{
    width: 70px;
    height: 70px;
}

.footer__social--link, .footer__copyright,.footer__logo--popper{
    color: #fff
}

.footer__anchor{
    margin-bottom: 20px;
    position: relative;
}
.footer__logo--popper{
    position: absolute;
    right:0;
    font-weight 700;
    top: 30px;
    opacity: 0;
     display: flex;
     transition: all 300ms ease-out;
}

.footer__anchor:hover .footer__logo--popper{
    opacity: 1;
    transform: translateX(80px);
    transition: all 300ms ease-out;
}

/* Small phones, tablets, large smartphones */

@media(max-width: 768px) {
    nav{
        height: 68px;
    }
    h1{

    }

    .about-me__info--para{

    }

    .language {
        width: calc(
            100%/3);
        scale: 1.25;
    }

    .project__description{
        left: 30px;
        padding-right: 30px;
    }
}

/* Small Phones */

@media (max-width: 480px) {
  .nav__link:not(:last-child){
    display: none;
  }
  h1{
    font-size: 28px;

  }
  
  .project__description--link {
    
  }
  
}

